Vue combinée Vue Plate Arborescence
Sujets [ Précédent | Suivant ]
toggle
Glenn Buckholtz
What version of JasperSoft iReport Designer works with portlet
31 janvier 2013 13:27
Réponse

Glenn Buckholtz

Rang: New Member

Publications: 3

Date d'inscription: 29 avril 2010

Publications Récentes

I am trying to put a report that I have generated with iReport Designer 4.7 and 5.0 with no success.
Whenever the job runs I get the following error:


19:29:00,103 ERROR [Digester:1635] Parse Error at line 2 column 483: cvc-complex-type.3.2.2: Attribute 'uuid' is not allowed to appear in element 'jasperReport'.
org.xml.sax.SAXParseException: cvc-complex-type.3.2.2: Attribute 'uuid' is not allowed to appear in element 'jasperReport'.


This report runs just fine in iReport just not in Liferay.

Suggestions?
Hitoshi Ozawa
RE: What version of JasperSoft iReport Designer works with portlet
31 janvier 2013 13:52
Réponse

Hitoshi Ozawa

Rang: Liferay Legend

Publications: 7949

Date d'inscription: 23 mars 2010

Publications Récentes

I haven't used Liferay.com's Reporting portlet but from the error message, it seems you have uuid in your JasperReport file that is in conflict with Liferay's portlet variable.
Try changing it to something else.
Glenn Buckholtz
RE: What version of JasperSoft iReport Designer works with portlet
31 janvier 2013 14:01
Réponse

Glenn Buckholtz

Rang: New Member

Publications: 3

Date d'inscription: 29 avril 2010

Publications Récentes

I have tried several different reports and I get the same uuid error.

I am thinking that it has to do with the jaspersoft engine. It may be very old and doesn't understand the xml generated by the newer iReport Designers. I am using the latest release EE build from the market place for Jaspersoft Reports and Reports EE.

Isn't there anything from Liferay that documents what iReports Designer is compatible with Jasper Reports EE ?
Hitoshi Ozawa
RE: What version of JasperSoft iReport Designer works with portlet
31 janvier 2013 14:48
Réponse

Hitoshi Ozawa

Rang: Liferay Legend

Publications: 7949

Date d'inscription: 23 mars 2010

Publications Récentes

You'll have to contact Liferay.com about it instead of the community. I don't think they offer anything more than what's available online in the Documentation but I'm not sure.

I'm using liferay's framework but found that most of the users are unhappy with their portlets so we've developed our own.

There's also Aperte Reports portlet which seems to be better and slightly better documented.

http://code.google.com/p/aperte-reports/
Richard SINELLE
RE: What version of JasperSoft iReport Designer works with portlet
12 février 2013 12:35
Réponse

Richard SINELLE

Rang: Junior Member

Publications: 28

Date d'inscription: 7 avril 2011

Publications Récentes

You need to use ireport désigner corresponding to the version embedded of jasper library in the jasperweb report portlet.
But if you need a specific version of jasper you can upgrade the jasper report library version in jasperwebreport portlet.
I did it for a project ans it´s word perfectly

Richard
Cody Hoag
RE: What version of JasperSoft iReport Designer works with portlet
22 février 2013 08:50
Réponse

Cody Hoag

LIFERAY STAFF

Rang: Junior Member

Publications: 45

Date d'inscription: 26 avril 2012

Publications Récentes

The 4.5.1 iReport-Designer is the most up to date version that does not insert the uuid into the jasperReport element. The reports created by the 4.5.1 version work great with no errors in the Liferay Reports app.
Wessel Oosthuizen
RE: What version of JasperSoft iReport Designer works with portlet
31 mai 2013 05:58
Réponse

Wessel Oosthuizen

Rang: Junior Member

Publications: 25

Date d'inscription: 9 août 2012

Publications Récentes

In iReport you can set the compatibility level by going to "Tools" then "Options" and then the "Compatibility" tab. Change it to "JasperReports4.5.0". Now every time you save a report it will not add the "uuid" attribute anywhere...
Glenn Buckholtz
RE: What version of JasperSoft iReport Designer works with portlet
31 mai 2013 08:12
Réponse

Glenn Buckholtz

Rang: New Member

Publications: 3

Date d'inscription: 29 avril 2010

Publications Récentes

I had a look on my iReport 5.0.1 for OS/X and I can't find a compatibility tab anywhere. Were you referring to a windows version? What version of iReport are you using?
James Falkner
RE: What version of JasperSoft iReport Designer works with portlet
31 mai 2013 08:40
Réponse

James Falkner

Community Moderator

Rang: Liferay Legend

Publications: 1406

Date d'inscription: 17 septembre 2010

Publications Récentes

Glenn Buckholtz:
I had a look on my iReport 5.0.1 for OS/X and I can't find a compatibility tab anywhere. Were you referring to a windows version? What version of iReport are you using?



Check out this screenshot (I recently ran into this too and setting compatibility to 4.0.2 solved it).

Preferences->General->Compatibility

BTW, I also used the tool to create a template, which included some images (like "coffee.jpg") which are nowhere to be found when used in Liferay to generate reports, and I had no idea where to put the images.. So I deleted the images from the template.
Attachement

Pièces jointes: Screen Shot 2013-05-31 at 11.39.44 AM.png (63,2k)
Wessel Oosthuizen
RE: What version of JasperSoft iReport Designer works with portlet
31 mai 2013 08:57
Réponse

Wessel Oosthuizen

Rang: Junior Member

Publications: 25

Date d'inscription: 9 août 2012

Publications Récentes

Glenn Buckholtz:
I had a look on my iReport 5.0.1 for OS/X and I can't find a compatibility tab anywhere. Were you referring to a windows version? What version of iReport are you using?



I'm using iReport 5.1 for windows. The screenshot from James looks the same in my version. JasperReports 4.5 works as well for compatibility.

I use Aperte Reports though, which had the same issue, as it's actually a problem with JasperReports...
James Falkner
RE: What version of JasperSoft iReport Designer works with portlet
31 mai 2013 09:07
Réponse

James Falkner

Community Moderator

Rang: Liferay Legend

Publications: 1406

Date d'inscription: 17 septembre 2010

Publications Récentes

Wessel Oosthuizen:
Glenn Buckholtz:
I had a look on my iReport 5.0.1 for OS/X and I can't find a compatibility tab anywhere. Were you referring to a windows version? What version of iReport are you using?



I'm using iReport 5.1 for windows. The screenshot from James looks the same in my version. JasperReports 4.5 works as well for compatibility.

I use Aperte Reports though, which had the same issue, as it's actually a problem with JasperReports...


I believe it's because we bundle in an old version of the JasperReports engine with the JasperReports EE plugin. The actual version bundled as of now is 4.0.2. I'll file a ticket to get this looked at for a potential upgrade, but for now it's 4.0.2, which is why I chose the 4.0.2 compatibility level, but if 4.5 also works, then that's cool. Must be in version after 4.5 that the uuid stuff was included.
James Falkner
RE: What version of JasperSoft iReport Designer works with portlet
31 mai 2013 09:11
Réponse

James Falkner

Community Moderator

Rang: Liferay Legend

Publications: 1406

Date d'inscription: 17 septembre 2010

Publications Récentes

James Falkner:
Wessel Oosthuizen:
Glenn Buckholtz:
I had a look on my iReport 5.0.1 for OS/X and I can't find a compatibility tab anywhere. Were you referring to a windows version? What version of iReport are you using?



I'm using iReport 5.1 for windows. The screenshot from James looks the same in my version. JasperReports 4.5 works as well for compatibility.

I use Aperte Reports though, which had the same issue, as it's actually a problem with JasperReports...


I believe it's because we bundle in an old version of the JasperReports engine with the JasperReports EE plugin. The actual version bundled as of now is 4.0.2. I'll file a ticket to get this looked at for a potential upgrade, but for now it's 4.0.2, which is why I chose the 4.0.2 compatibility level, but if 4.5 also works, then that's cool. Must be in version after 4.5 that the uuid stuff was included.


Ok, seems Hai already filed LPS-34591. So I would highly recommend all of you interested in seeing this upgrade to 'Vote' for the ticket by signing into JIRA and clicking "Vote" emoticon
Jack Bakker
RE: What version of JasperSoft iReport Designer works with portlet
31 mai 2013 09:38
Réponse

Jack Bakker

Rang: Liferay Master

Publications: 882

Date d'inscription: 3 janvier 2010

Publications Récentes

I've been using jasperreports for BI for over 10 years including in Liferay ; I have always just picked a jasperreports and cooresponding ireport version and ran with it - updating jasperreports*.jar in portlet lib as needed (in liferay lining up with ROOT/WEB-INF/lib *.jar version also)

but in context of this issue, perhaps I am missing something fundamental here wrt whatever it is the JasperReports EE plugin does...